<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Modifier;

use Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface;

class QuoteItemQuantityModifier implements QuoteItemQuantityModifierInterface
{
    public function modify(QuoteItemInterface $quoteItem, int $targetQuantity): void
    {
        $quoteItem->setQuantity($targetQuantity);
    }
}
