<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Storage;

use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;
use Sylius\Component\Core\Model\ChannelInterface;

interface QuoteStorageInterface
{
    public function hasForChannel(ChannelInterface $channel): bool;

    public function getForChannel(ChannelInterface $channel): ?QuoteInterface;

    public function setForChannel(ChannelInterface $channel, QuoteInterface $quote): void;

    public function removeForChannel(ChannelInterface $channel): void;
}
